SamInterface Class Reference
Inheritance diagram for SamInterface:
[legend]
Collaboration diagram for SamInterface:
[legend]

## Public Member Functions

virtual bool | readHeader (IFILE filePtr, SamFileHeader &header, SamStatus &status)
virtual bool | writeHeader (IFILE filePtr, SamFileHeader &header, SamStatus &status)
virtual void | readRecord (IFILE filePtr, SamFileHeader &header, SamRecord &record, SamStatus &samStatus)
virtual SamStatus::Status | writeRecord (IFILE filePtr, SamFileHeader &header, SamRecord &record, SamRecord::SequenceTranslation translation)

## Detailed Description

Definition at line 23 of file SamInterface.h.

The documentation for this class was generated from the following files:

- bam/SamInterface.h
- bam/SamInterface.cpp